Solved

Upgrade Commvault from FR28 to FR32 problem with replication SQL Commserve DB.

  • 30 August 2023
  • 2 replies
  • 101 views

Userlevel 1
Badge +8

Hello, 

Yesterday I upgraded the Commserve serve from FR28 to FR32. Unfortunately replication process for Commserve DB between the server is not working properly after upgrade. The issue which appeared is: 

Query Result [Microsoft.SqlServer.Management.Common.ExecutionFailureException:The database was backed up on a server running version 15.00.4280. That version is incompatible with this server, which is running version 13.00.5216. Either restore the database on a server that supports the backup, or use a backup that is compatible with this server. RESTORE LOG is terminated. 

Please let me know me probability  solution. 

Regards, 

Michal

icon

Best answer by Nutan Pawar G 30 August 2023, 16:35

View original

2 replies

Userlevel 3
Badge +8

Hi @Michal128 

 

Looking at the error, it seems that the SQL version on Active Commserve and standby Commserve are not identical.

 

you can verify the SQL version by running the below query via SSMS (SQL server Management Studio)

 

select @@Version

 

For the replication job to run successfully make sure SQL versions on both Active and standby Commserve is identical.

 

Userlevel 1
Badge +8

Hello, 

Ended after upgrade the SQL version on DR Commserve replication come back to normally. Thanks for the fast respond. 

Regards, 

Michal 

Reply